<?php
/**
 * Body5
 *
 * PHP version 5
 *
 * @category Class
 * @package  Brevo\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * Brevo API
 *
 * Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :   - Manage your campaigns and get the statistics   - Manage your contacts   - Send transactional Emails and SMS   - and much more...  You can download our wrappers at https://github.com/orgs/brevo  **Possible responses**   | Code | Message |   | :-------------: | ------------- |   | 200  | OK. Successful Request  |   | 201  | OK. Successful Creation |   | 202  | OK. Request accepted |   | 204  | OK. Successful Update/Deletion  |   | 400  | Error. Bad Request  |   | 401  | Error. Authentication Needed  |   | 402  | Error. Not enough credit, plan upgrade needed  |   | 403  | Error. Permission denied  |   | 404  | Error. Object does not exist |   | 405  | Error. Method not allowed  |   | 406  | Error. Not Acceptable  |
 *
 * OpenAPI spec version: 3.0.0
 * Contact: contact@brevo.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.29
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Brevo\Client\Model;

use \ArrayAccess;
use \Brevo\Client\ObjectSerializer;

/**
 * Body5 Class Doc Comment
 *
 * @category Class
 * @package  Brevo\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class Body5 implements ModelInterface, ArrayAccess
{
    const DISCRIMINATOR = null;

    /**
      * The original name of the model.
      *
      * @var string
      */
    protected static $swaggerModelName = 'body_5';

    /**
      * Array of property to type mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerTypes = [
        'linkContactIds' => 'int[]',
        'unlinkContactIds' => 'int[]',
        'linkCompanyIds' => 'string[]',
        'unlinkCompanyIds' => 'string[]'
    ];

    /**
      * Array of property to format mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerFormats = [
        'linkContactIds' => 'int64',
        'unlinkContactIds' => 'int64',
        'linkCompanyIds' => null,
        'unlinkCompanyIds' => null
    ];

    /**
     * Array of property to type mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of property to format mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerFormats()
    {
        return self::$swaggerFormats;
    }

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @var string[]
     */
    protected static $attributeMap = [
        'linkContactIds' => 'linkContactIds',
        'unlinkContactIds' => 'unlinkContactIds',
        'linkCompanyIds' => 'linkCompanyIds',
        'unlinkCompanyIds' => 'unlinkCompanyIds'
    ];

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @var string[]
     */
    protected static $setters = [
        'linkContactIds' => 'setLinkContactIds',
        'unlinkContactIds' => 'setUnlinkContactIds',
        'linkCompanyIds' => 'setLinkCompanyIds',
        'unlinkCompanyIds' => 'setUnlinkCompanyIds'
    ];

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @var string[]
     */
    protected static $getters = [
        'linkContactIds' => 'getLinkContactIds',
        'unlinkContactIds' => 'getUnlinkContactIds',
        'linkCompanyIds' => 'getLinkCompanyIds',
        'unlinkCompanyIds' => 'getUnlinkCompanyIds'
    ];

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @return array
     */
    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @return array
     */
    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @return array
     */
    public static function getters()
    {
        return self::$getters;
    }

    /**
     * The original name of the model.
     *
     * @return string
     */
    public function getModelName()
    {
        return self::$swaggerModelName;
    }

    

    

    /**
     * Associative array for storing property values
     *
     * @var mixed[]
     */
    protected $container = [];

    /**
     * Constructor
     *
     * @param mixed[] $data Associated array of property values
     *                      initializing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['linkContactIds'] = isset($data['linkContactIds']) ? $data['linkContactIds'] : null;
        $this->container['unlinkContactIds'] = isset($data['unlinkContactIds']) ? $data['unlinkContactIds'] : null;
        $this->container['linkCompanyIds'] = isset($data['linkCompanyIds']) ? $data['linkCompanyIds'] : null;
        $this->container['unlinkCompanyIds'] = isset($data['unlinkCompanyIds']) ? $data['unlinkCompanyIds'] : null;
    }

    /**
     * Show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalidProperties = [];

        return $invalidProperties;
    }

    /**
     * Validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properties are valid
     */
    public function valid()
    {
        return count($this->listInvalidProperties()) === 0;
    }


    /**
     * Gets linkContactIds
     *
     * @return int[]
     */
    public function getLinkContactIds()
    {
        return $this->container['linkContactIds'];
    }

    /**
     * Sets linkContactIds
     *
     * @param int[] $linkContactIds Contact ids for contacts to be linked with deal
     *
     * @return $this
     */
    public function setLinkContactIds($linkContactIds)
    {
        $this->container['linkContactIds'] = $linkContactIds;

        return $this;
    }

    /**
     * Gets unlinkContactIds
     *
     * @return int[]
     */
    public function getUnlinkContactIds()
    {
        return $this->container['unlinkContactIds'];
    }

    /**
     * Sets unlinkContactIds
     *
     * @param int[] $unlinkContactIds Contact ids for contacts to be unlinked from deal
     *
     * @return $this
     */
    public function setUnlinkContactIds($unlinkContactIds)
    {
        $this->container['unlinkContactIds'] = $unlinkContactIds;

        return $this;
    }

    /**
     * Gets linkCompanyIds
     *
     * @return string[]
     */
    public function getLinkCompanyIds()
    {
        return $this->container['linkCompanyIds'];
    }

    /**
     * Sets linkCompanyIds
     *
     * @param string[] $linkCompanyIds Company ids to be linked with deal
     *
     * @return $this
     */
    public function setLinkCompanyIds($linkCompanyIds)
    {
        $this->container['linkCompanyIds'] = $linkCompanyIds;

        return $this;
    }

    /**
     * Gets unlinkCompanyIds
     *
     * @return string[]
     */
    public function getUnlinkCompanyIds()
    {
        return $this->container['unlinkCompanyIds'];
    }

    /**
     * Sets unlinkCompanyIds
     *
     * @param string[] $unlinkCompanyIds Company ids to be unlinked from deal
     *
     * @return $this
     */
    public function setUnlinkCompanyIds($unlinkCompanyIds)
    {
        $this->container['unlinkCompanyIds'] = $unlinkCompanyIds;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     *
     * @param integer $offset Offset
     *
     * @return boolean
     */
    #[\ReturnTypeWillChange]
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     *
     * @param integer $offset Offset
     *
     * @return mixed
     */
    #[\ReturnTypeWillChange]
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     *
     * @param integer $offset Offset
     * @param mixed   $value  Value to be set
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     *
     * @param integer $offset Offset
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     *
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(
                ObjectSerializer::sanitizeForSerialization($this),
                JSON_PRETTY_PRINT
            );
        }

        return json_encode(ObjectSerializer::sanitizeForSerialization($this));
    }
}


